// Header-File for pressure modul
// Programmer: Dr. Ralf Wieland
// Version: 0.1 17.11.2002
// Version: 0.2 15.01.2003

#ifndef __PRESSURE__
#define __PRESSURE__

#include <stdio.h>
#include <string.h>
#include <sys/io.h>
#include <signal.h>
#include <unistd.h>
#include <stdlib.h>
#include <pthread.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <netdb.h>

//***********************************************************************/
// Anschluss an Parallel Port! 
//
// Pin 2  - Vdd (immer 1)
// Pin 3	- SCLK
// Pin 4  - DIN
// Pin 12 - DOUT
// Pin 25 - GND
/************************************************************************/


#define D_LPT1_DATA  0x378
#define D_LPT2_DATA  0x278
#define true 1
#define false 0
#define RINGLENGTH   720

static int m_iPort;
static int *pressure;
static int first;
static struct parameter{
    unsigned int m_wC1;
    unsigned int m_wC2;
    unsigned int m_wC3;
    unsigned int m_wC4;
    unsigned int m_wC5;
    unsigned int m_wC6;
    int druck;
    int temp;
} parameterf;

static pthread_t   pthr_get;
static pthread_t   pthr_send;
static pthread_mutex_t fastmutex = PTHREAD_MUTEX_INITIALIZER;

#endif















